function [primaryLib, extras] = mpiLibConf

% Copyright 2014-2015 The MathWorks, Inc.

% Check first if we're running the local scheduler.  If we are, then get
% the default, and exit early.
dfcn = getenv('MDCE_DECODE_FUNCTION');
ext = getenv('MDCE_MPI_EXT');
if isempty(dfcn) || isempty(ext) || strcmp(ext,'srun1') || ...
        strcmp(dfcn,'parallel.internal.decode.localMpiexecTask')
    [primaryLib, extras] = distcomp.mpiLibConfs( 'default' );
    return
end

% We're not running the local scheduler or using the default MATLAB libmpich

% I_MPI_ROOT was defined in communicatingJobWrapper.sh-[hydra|srun2]
mpi = getenv('I_MPI_ROOT');
primaryLib = fullfile(mpi,'lib','libmpi.so');
% No extra libraries needed
extras = {};
